## deepin-screen-recorder 5.9.6

=== src/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.1.0 )
set (PROJECT_NAME deepin-screen-recorder)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(QtModule Core Gui Test Widgets Network DBus Sql PrintSupport Svg Concurrent LinguistTools Multimedia MultimediaWidgets X11Extras)

project( ${PROJECT_NAME} )

set(LINK_DIR X11 Xext Xtst Xfixes Xcursor procps)

if(CMAKE_VERSION VERSION_LESS "3.7.0")
    set(CMAKE_INCLUDE_CURRENT_DIR ON)
endif()

find_package(Qt5 CONFIG REQUIRED ${QtModule})

set ( deepin-screen-recorder_HDRS
    constant.h
    keydefine.h
    utils/baseutils.h
    utils/calculaterect.h
    utils/saveutils.h
    utils/shapesutils.h
    utils/dbusutils.h
    utils/desktopinfo.h
    RecorderRegionShow.h
    main_window.h
    record_process.h
    settings.h
    utils.h
    record_button.h
    record_option_panel.h
    countdown_tooltip.h
    event_monitor.h
    button_feedback.h
    process_tree.h
    camera_process.h
    show_buttons.h
    utils/audioutils.h
    menucontroller/menucontroller.h
    utils/configsettings.h
    utils/shortcut.h
    utils/tempfile.h
    widgets/savetips.h
    widgets/fontsizewidget.h
    widgets/colorbutton.h
    widgets/zoomIndicator.h
    widgets/majtoolbar.h
    widgets/textedit.h
    widgets/bigcolorbutton.h
    widgets/toptips.h
    widgets/toolbar.h
    widgets/savebutton.h
    widgets/textbutton.h
    widgets/shapeswidget.h
    widgets/toolbutton.h
    widgets/maintoolwidget.h
    widgets/subtoolwidget.h
    widgets/keybuttonwidget.h
    widgets/sidebar.h
    widgets/shottoolwidget.h
    widgets/colortoolwidget.h
    dbusinterface/dbuszone.h
    dbusinterface/dbuscontrolcenter.h
    dbusinterface/dbusnotify.h
    dbusinterface/dbussoundeffect.h
    dbusservice/dbusscreenshotservice.h
    dbusservice/dbusscreenshot.h
    widgets/camerawidget.h
    screenshot.h
    utils/voicevolumewatcher.h
    utils/camerawatcher.h
    widgets/tooltips.h
    widgets/filter.h
    utils/screengrabber.h
    dbusinterface/drawinterface.h
    screen_shot_event.h
    lib/GifH/gif.h
    xgifrecord.h
    recordertablet.h
    )

set ( deepin-screen-recorder_SRCS
    main.cpp
    main_window.cpp
    record_process.cpp
    settings.cpp
    utils.cpp
    record_button.cpp
    record_option_panel.cpp
    countdown_tooltip.cpp
    constant.cpp
    event_monitor.cpp
    button_feedback.cpp
    process_tree.cpp
    camera_process.cpp
    show_buttons.cpp
    utils/audioutils.cpp
    menucontroller/menucontroller.cpp
    utils/shapesutils.cpp
    utils/tempfile.cpp
    utils/calculaterect.cpp
    utils/shortcut.cpp
    utils/configsettings.cpp
    utils/baseutils.cpp
    widgets/savebutton.cpp
    widgets/toptips.cpp
    widgets/shapeswidget.cpp
    widgets/textbutton.cpp
    widgets/colorbutton.cpp
    widgets/fontsizewidget.cpp
    widgets/textedit.cpp
    widgets/bigcolorbutton.cpp
    widgets/zoomIndicator.cpp
    widgets/majtoolbar.cpp
    widgets/savetips.cpp
    widgets/toolbar.cpp
    widgets/maintoolwidget.cpp
    widgets/subtoolwidget.cpp
    widgets/keybuttonwidget.cpp
    widgets/sidebar.cpp
    widgets/shottoolwidget.cpp
    widgets/colortoolwidget.cpp
    dbusinterface/dbusnotify.cpp
    dbusinterface/dbuszone.cpp
    dbusinterface/dbuscontrolcenter.cpp
    dbusinterface/dbussoundeffect.cpp
    dbusservice/dbusscreenshotservice.cpp
    dbusservice/dbusscreenshot.cpp
    widgets/camerawidget.cpp
    utils/dbusutils.cpp
    screenshot.cpp
    utils/voicevolumewatcher.cpp
    utils/camerawatcher.cpp
    widgets/tooltips.cpp
    widgets/filter.cpp
    utils/desktopinfo.cpp
    utils/screengrabber.cpp
    dbusinterface/drawinterface.cpp
    screen_shot_event.cpp
    RecorderRegionShow.cpp
    xgifrecord.cpp
    recordertablet.cpp
    )

set ( deepin-screen-recorder_RSCS
    ../assets/image/deepin-screen-recorder.qrc
    ../assets/resources/resources.qrc
    ../assets/icons/icons.qrc
    )

add_executable(${PROJECT_NAME}
    ${deepin-screen-recorder_HDRS} ${deepin-screen-recorder_SRCS} ${deepin-screen-recorder_RSCS}
    )

qt5_use_modules(${PROJECT_NAME} ${QtModule})
find_package(PkgConfig REQUIRED)
pkg_check_modules(3rd_lib REQUIRED
    dtkwidget dtkgui dframeworkdbus xcb xcb-util
    )
target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} )
target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES} ${LINK_DIR} )

install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/deepin-screen-recorder DESTINATION /usr/share/deepin-manual/manual-assets/application)

=== src/dde-dock-plugins/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.1.0 )
set (PROJECT_NAME dde-dock-plugins)
project( ${PROJECT_NAME} )

add_subdirectory(recordtime)

## deepin-screen-recorder 2.7.5

=== debian/changelog ===
deepin-screen-recorder (2.7.5-1) unstable; urgency=medium

  * New upstream version 2.7.5
  * d/rules: Don't install directory usr/share/dman .

 -- Yanhao Mo <yanhaocs@gmail.com>  Wed, 25 Jul 2018 10:54:21 +0800

deepin-screen-recorder (2.7.4-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Add new uploader Yanhao Mo <yanhaocs@gmail.com>.
  * d/control: Bump Standards-Version to 4.1.4. (no changes needed)

 -- Yanhao Mo <yanhaocs@gmail.com>  Sun, 03 Jun 2018 22:04:00 +0800

deepin-screen-recorder (2.7.3-1) unstable; urgency=medium

  * Initial release (Closes: #870449)

 -- Yangfl <mmyangfl@gmail.com>  Sun, 18 Mar 2018 15:24:27 +0800

=== debian/control ===
Source: deepin-screen-recorder
Section: utils
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
Build-Depends:
 debhelper (>= 11~),
 pkg-config, qt5-qmake,
 libxcb-util0-dev,
 libqt5x11extras5-dev,
 qttools5-dev-tools,
 libdtkwidget-dev,
 libxtst-dev,
 libprocps-dev,
 libdtkwm-dev,
Standards-Version: 4.1.5
Homepage: https://github.com/manateelazycat/deepin-screen-recorder
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-screen-recorder.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-screen-recorder

Package: deepin-screen-recorder
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 deepin-notifications,
 byzanz,
 ffmpeg,
Description: Simple recorder tools for deepin
 Deepin Screen Recorder is a screen recorder tool, it supports to save the
 recorded screens as gif or mp4 format. It can select the recorded window
 automatically or manually by selecting the area. Users just need to start and
 stop the recording process, and the file will auto save to the desktop.
 .
 This package is part of DDE (Deepin Desktop Environment).

## deepin-screen-recorder 2.7.7

=== debian/changelog ===
deepin-screen-recorder (2.7.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.7.7.
  * debian/control:
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat file.
    + Bump Standards-Version to 4.3.0.
    + Use Rules-Requires-Root: no.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Jan 2019 10:08:20 -0500

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
 Build-Depends:
- debhelper (>= 11~),
- pkg-config, qt5-qmake,
+ debhelper-compat (= 12),
+ libdtkwidget-dev,
+ libdtkwm-dev,
+ libprocps-dev,
+ libqt5x11extras5-dev,
  libxcb-util0-dev,
- libqt5x11extras5-dev,
+ libxtst-dev,
+ pkg-config,
+ qt5-qmake,
  qttools5-dev-tools,
- libdtkwidget-dev,
- libxtst-dev,
- libprocps-dev,
- libdtkwm-dev,
-Standards-Version: 4.1.5
+Rules-Requires-Root: no
+Standards-Version: 4.3.0
 Homepage: https://github.com/manateelazycat/deepin-screen-recorder
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-screen-recorder.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-screen-recorder
@@ -23,11 +25,11 @@
 Package: deepin-screen-recorder
 Architecture: any
 Depends:
+ byzanz,
+ deepin-notifications,
+ ffmpeg,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- deepin-notifications,
- byzanz,
- ffmpeg,
 Description: Simple recorder tools for deepin
  Deepin Screen Recorder is a screen recorder tool, it supports to save the
  recorded screens as gif or mp4 format. It can select the recorded window

## deepin-screen-recorder 5.0.0

=== debian/changelog ===
deepin-screen-recorder (5.0.0-1build2) focal; urgency=medium

  * No-change rebuild against libprocps8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Feb 2020 07:20:16 +0000

deepin-screen-recorder (5.0.0-1build1) focal; urgency=medium

  * No-change rebuild against libprocps8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Feb 2020 00:26:07 +0000

deepin-screen-recorder (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.0.0.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Update Homepage information.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Dec 2019 15:23:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: deepin-screen-recorder
 Section: utils
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
@@ -17,8 +18,8 @@
  qt5-qmake,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
-Homepage: https://github.com/manateelazycat/deepin-screen-recorder
+Standards-Version: 4.4.1
+Homepage: https://github.com/linuxdeepin/deepin-screen-recorder
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-screen-recorder.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-screen-recorder

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT = 5


%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/deepin-screen-recorder/usr/share/dman

## deepin-screen-recorder 5.8.0.46

=== debian/changelog ===
deepin-screen-recorder (5.8.0.46-3) unstable; urgency=medium

  * Add patch to fix ftbfs with libproc2. (Closes: #1024220)
  * debian/control: Replace libprocps-dev with libproc2-dev.

 -- Arun Kumar Pariyar <arun@debian.org>  Tue, 27 Dec 2022 03:27:57 +0545

deepin-screen-recorder (5.8.0.46-2) unstable; urgency=medium

  * debian/control:
    + Drop deepin-turbo from binary package dependency.
    + Drop dde-session-ui from binary package Recommends.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Thu, 24 Dec 2020 11:46:15 +0545

deepin-screen-recorder (5.8.0.46-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Arun Kumar Pariyar ]
  * New upstream version 5.8.0.46.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.1.
    + Add libdframeworkdbus-dev and libdtkgui-dev to Build-Depends.
    + Update build dependencies and tighten libdtkwidget-dev to (>=5.2~).
    + Remove deepin-notifications and add deepin-turbo
      to package dependency.
    + Add dde-session-ui to Recommends.
    + Add deepin-screenshot to Conflicts, Replaces.
    + Add Arun Kumar Pariyar to Uploaders.
  * debian/copyright: Update copyright information.
  * debian/rules: Update for proper build and remove LDFLAGS.
  * debian/patches:
    + Add patch to fix build with Qt5.15+ (Closes: #975156).
    + Add patch to fix build Xlibint istream error.
    + Add patch to add Keywords entry in desktop file.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Mon, 21 Dec 2020 16:14:51 +0545

deepin-screen-recorder (5.0.0-2) unstable; urgency=high

  * Team upload.
  * Rebuild to complete the procps transition. (Closes: #951992)
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Mar 2020 17:56:15 -0500

=== debian/control ===
Source: deepin-screen-recorder
Section: utils
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
 Arun Kumar Pariyar <arun@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libdframeworkdbus-dev(>=5.2~),
 libdtkgui-dev,
 libdtkwidget-dev (>=5.2~),
 libproc2-dev,
 libqt5multimediawidgets5,
 libqt5x11extras5-dev,
 libxcb-util-dev,
 libxcursor-dev,
 libxfixes-dev,
 libxtst-dev,
 qtmultimedia5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/linuxdeepin/deepin-screen-recorder
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-screen-recorder.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-screen-recorder

Package: deepin-screen-recorder
Architecture: any
Depends:
 byzanz,
 ffmpeg,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 deepin-screenshot,
Replaces:
 deepin-screenshot,
Description: Simple recorder tools for deepin
 Deepin Screen Recorder is a screen recorder tool, it supports to save the
 recorded screens as gif or mp4 format. It can select the recorded window
 automatically or manually by selecting the area. Users just need to start and
 stop the recording process, and the file will auto save to the desktop.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT = 5


%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- VERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/deepin-screen-recorder/usr/share/dman

## deepin-screen-recorder 5.9.6

=== debian/changelog ===
deepin-screen-recorder (5.9.6-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 27 Apr 2021 15:41:19 +0800

deepin-screen-recorder (0.1-1) unstable; urgency=low

  * Initial release.

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 13 Feb 2017 16:32:34 +0800

## deepin-screen-recorder 5.10.15

=== src/dde-dock-plugins/recordtime/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.1.0 )
set(PLUGIN_NAME "deepin-screen-recorder-plugin")

project(PLUGIN_NAME)

file(GLOB SRCS "*.h" "*.cpp")

find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(DtkWidget REQUIRED)
pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)

pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
pkg_check_modules(QGSettings REQUIRED gsettings-qt)

add_definitions("${QT_DEFINITIONS} -DQT_PLUGIN")
add_library(${PLUGIN_NAME} SHARED ${SRCS} res.qrc)
target_include_directories(${PLUGIN_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    )
target_link_libraries(${PLUGIN_NAME} PRIVATE
    ${Qt5DBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${QGSettings_LIBRARIES}
    )

set(CMAKE_INSTALL_PREFIX "/usr")
install(TARGETS ${PLUGIN_NAME} LIBRARY DESTINATION lib/dde-dock/plugins)

=== debian/changelog ===
deepin-screen-recorder (5.10.15-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 20 Jan 2022 14:51:43 +0800

=== debian/control ===
Source: deepin-screen-recorder
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper, pkg-config, qt5-qmake,
 libxcb-util0-dev, libqt5x11extras5-dev, qttools5-dev-tools,
 libdtkgui-dev,libdtkwidget-dev, libxtst-dev, libprocps-dev,
 libdframeworkdbus-dev,libxcursor-dev,libxfixes-dev,libqt5multimediawidgets5,
 qtmultimedia5-dev,dde-dock-dev,qtbase5-dev-tools, libopencv-core-dev,libopencv-imgproc-dev,libopencv-calib3d-dev,libopencv-dev,gstreamer1.0-clutter-3.0,gstreamer1.0-x,libxss1,qtbase5-dev,qtbase5-private-dev,libkf5windowsystem-dev,libkf5wayland-dev,libkf5i18n-dev,libgbm-dev,libepoxy-dev,libavcodec-dev,libavdevice-dev,libavfilter-dev,libavformat-dev,libavutil-dev,libswscale-dev,libavresample-dev,libkf5config-dev,libxrandr-dev,libxinerama-dev,libepoxy-dev,deepin-desktop-base
Standards-Version: 3.9.8
Homepage: https://github.com/linuxdeepin/deepin-screen-recorder

Package: deepin-screen-recorder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg
Recommends: dde-session-ui,deepin-ocr
Conflicts: deepin-screenshot
Replaces: deepin-screenshot
Description: Simple recorder tools for UOS
 A simple screen shot and recorder tools for UOS

## deepin-screen-recorder 5.11.1

=== debian/changelog ===
deepin-screen-recorder (5.11.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 24 May 2022 11:31:09 +0800

=== debian/control ===
Source: deepin-screen-recorder
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper, pkg-config, qt5-qmake,
 libxcb-util0-dev, libqt5x11extras5-dev, qttools5-dev-tools,
 libdtkgui-dev,libdtkwidget-dev, libxtst-dev, libprocps-dev,
 libdframeworkdbus-dev,libxcursor-dev,libxfixes-dev,libqt5multimediawidgets5,
 qtmultimedia5-dev,dde-dock-dev,qtbase5-dev-tools, libopencv-core-dev,libopencv-imgproc-dev,libopencv-calib3d-dev,libopencv-dev,gstreamer1.0-clutter-3.0,gstreamer1.0-x,libxss1,qtbase5-dev,libkf5windowsystem-dev,libkf5wayland-dev,libkf5i18n-dev,libgbm-dev,libepoxy-dev,libavcodec-dev,libavdevice-dev,libavfilter-dev,libavformat-dev,libavutil-dev,libswscale-dev,libavresample-dev,libkf5config-dev,libxrandr-dev,libxinerama-dev,libepoxy-dev,deepin-desktop-base,libgstreamer1.0-dev,libgstreamer-plugins-base1.0-dev,gstreamer1.0-plugins-good
Standards-Version: 3.9.8
Homepage: https://github.com/linuxdeepin/deepin-screen-recorder

Package: deepin-screen-recorder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg
Recommends: dde-session-ui,deepin-ocr
Conflicts: deepin-screenshot
Replaces: deepin-screenshot
Description: Simple recorder tools for UOS
 A simple screen shot and recorder tools for UOS

## deepin-screen-recorder 5.11.2

=== debian/changelog ===
deepin-screen-recorder (5.11.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 Aug 2022 09:22:38 +0800

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: deepin-screen-recorder
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg
+Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, libgstreamer1.0-0 (>= 1.0.0)
 Recommends: dde-session-ui,deepin-ocr
 Conflicts: deepin-screenshot
 Replaces: deepin-screenshot

## deepin-screen-recorder 5.11.12

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 3.1.0 )
set (PROJECT_NAME deepin-screen-recorder)
project( ${PROJECT_NAME} )

add_subdirectory(src)
add_subdirectory(src/dde-dock-plugins)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 cmake_minimum_required( VERSION 3.1.0 )
 set (PROJECT_NAME deepin-screen-recorder)
 set(CMAKE_CXX_STANDARD 14)

=== src/dde-dock-plugins/recordtime/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 cmake_minimum_required( VERSION 3.1.0 )
 set(PLUGIN_NAME "deepin-screen-recorder-plugin")

=== debian/changelog ===
deepin-screen-recorder (5.11.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 10:52:07 +0800

=== debian/control ===
Source: deepin-screen-recorder
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper, pkg-config, qt5-qmake,
 libxcb-util0-dev, libqt5x11extras5-dev, qttools5-dev-tools,
 libdtkgui-dev,libdtkwidget-dev, libxtst-dev, libprocps-dev,
 libdframeworkdbus-dev,libxcursor-dev,libxfixes-dev,libqt5multimediawidgets5,
 qtmultimedia5-dev,dde-dock-dev,qtbase5-dev-tools,
 libopencv-core-dev,libopencv-imgproc-dev,libopencv-calib3d-dev,libopencv-dev,
 gstreamer1.0-clutter-3.0,gstreamer1.0-x,
 libxss1,qtbase5-dev,
 libkf5windowsystem-dev,libkf5wayland-dev,libkf5i18n-dev,
 libgbm-dev,libepoxy-dev,
 libavcodec-dev,libavdevice-dev,libavfilter-dev,libavformat-dev,libavutil-dev,libswscale-dev,libavresample-dev,
 libkf5config-dev,libxrandr-dev,libxinerama-dev,libepoxy-dev,deepin-desktop-base,
 libgstreamer1.0-dev,libgstreamer-plugins-base1.0-dev,gstreamer1.0-plugins-good,
 libusb-1.0-0-dev,libimageeditor-dev,libudev-dev,libffmpegthumbnailer-dev,portaudio19-dev,libv4l-dev
Standards-Version: 3.9.8
Homepage: https://github.com/linuxdeepin/deepin-screen-recorder

Package: deepin-screen-recorder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgstreamer1.0-0 (>= 1.0.0), ffmpeg
Recommends: dde-session-ui,deepin-ocr, gstreamer1.0-plugins-bad, uos-reporter, deepin-event-log
Conflicts: deepin-screenshot
Replaces: deepin-screenshot
Description: Simple recorder tools for UOS
 A simple screen shot and recorder tools for UOS

## deepin-screen-recorder 5.11.14

=== debian/changelog ===
deepin-screen-recorder (5.11.14-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 02 Dec 2022 15:39:14 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Deepin Packages Builder <packages@deepin.com>
 Build-Depends: debhelper, pkg-config, qt5-qmake,
  libxcb-util0-dev, libqt5x11extras5-dev, qttools5-dev-tools,
- libdtkgui-dev,libdtkwidget-dev, libxtst-dev, libprocps-dev,
+ libdtkgui-dev,libdtkwidget-dev, libxtst-dev, 
  libdframeworkdbus-dev,libxcursor-dev,libxfixes-dev,libqt5multimediawidgets5,
  qtmultimedia5-dev,dde-dock-dev,qtbase5-dev-tools,
  libopencv-core-dev,libopencv-imgproc-dev,libopencv-calib3d-dev,libopencv-dev,
@@ -12,7 +12,7 @@
  libxss1,qtbase5-dev,
  libkf5windowsystem-dev,libkf5wayland-dev,libkf5i18n-dev,
  libgbm-dev,libepoxy-dev,
- libavcodec-dev,libavdevice-dev,libavfilter-dev,libavformat-dev,libavutil-dev,libswscale-dev,libavresample-dev,
+ libavcodec-dev,libavdevice-dev,libavfilter-dev,libavformat-dev,libavutil-dev,libswscale-dev,
  libkf5config-dev,libxrandr-dev,libxinerama-dev,libepoxy-dev,deepin-desktop-base,
  libgstreamer1.0-dev,libgstreamer-plugins-base1.0-dev,gstreamer1.0-plugins-good,
  libusb-1.0-0-dev,libimageeditor-dev,libudev-dev,libffmpegthumbnailer-dev,portaudio19-dev,libv4l-dev

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

%:
	dh $@


override_dh_auto_configure:
	qmake
	dh_auto_configure -- VERSION=$(VERSION) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"

## deepin-screen-recorder 5.11.21

=== debian/changelog ===
deepin-screen-recorder (5.11.21-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 14:23:24 +0800

deepin-screen-recorder (5.11.21) unstable; urgency=low

  * New version 5.11.21

 -- wangcong <wangcong@uniontech.com>  Wed, 18 Jan 2023 10:34:05 +0800

deepin-screen-recorder (5.11.20) unstable; urgency=low

  * New version 5.11.20

 -- wangcong <wangcong@uniontech.com>  Sat, 14 Jan 2023 15:05:05 +0800

deepin-screen-recorder (5.11.19) unstable; urgency=low

  * New version 5.11.19

 -- hemingyang <hemingyang@uniontech.com>  Fri, 6 Jan 2023 10:05:05 +0800

deepin-screen-recorder (5.11.18) unstable; urgency=low

  * New version 5.11.18

 -- hemingyang <hemingyang@uniontech.com>  Tues, 4 Jan 2023 14:03:05 +0800

deepin-screen-recorder (5.11.17) unstable; urgency=low

  * New version 5.11.17

 -- hemingyang <hemingyang@uniontech.com>  Fri, 30 Dec 2022 17:08:05 +0800

deepin-screen-recorder (5.11.16) unstable; urgency=low

  * New version 5.11.16

 -- hemingyang <hemingyang@uniontech.com>  Tues, 27 Dec 2022 16:50:05 +0800

## deepin-screen-recorder 6.0.9

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
 #
 # SPDX-License-Identifier: GPL-3.0-or-later

=== src/dde-dock-plugins/shotstartrecord/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required( VERSION 3.1.0 )
set(PLUGIN_NAME "shot-start-record-plugin")

project(PLUGIN_NAME)

file(GLOB SRCS "*.h" "*.cpp")

find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(DtkWidget REQUIRED)
pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)

pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
pkg_check_modules(QGSettings REQUIRED gsettings-qt)

add_definitions("${QT_DEFINITIONS} -DQT_PLUGIN")
add_library(${PLUGIN_NAME} SHARED ${SRCS} res.qrc)
target_include_directories(${PLUGIN_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    )
target_link_libraries(${PLUGIN_NAME} PRIVATE
    ${Qt5DBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${QGSettings_LIBRARIES}
    )

set(CMAKE_INSTALL_PREFIX "/usr")
install(TARGETS ${PLUGIN_NAME} LIBRARY DESTINATION lib/dde-dock/plugins)

=== debian/changelog ===
deepin-screen-recorder (6.0.9) unstable; urgency=medium

  * fix: fix a crash
    Issues: linuxdeepin/developer-center#10385

 -- zsien <quezhiyong@deepin.org>  Wed, 14 Aug 2024 16:22:27 +0800

deepin-screen-recorder (6.0.8) unstable; urgency=medium

  * chore: add ForceDock flag(Issue: 9619)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 13 Aug 2024 16:11:17 +0800

deepin-screen-recorder (6.0.7) unstable; urgency=medium

  * fix: the recorder icon(Bug: 266991) 
  * feat: remove the inner margin of dock plugin tooltips (Issues: 9997)
  * fix: the screen-capture icon in the taskbar (Bug: 267113)
  * fix: the recorder taskbar incorrect background-color (Bug: 267669)
  * Update tag to 6.0.7

 -- zhanghongyuan<zhanghongyuan@uniontech.com>  Tue, 13 Aug 2024 11:23:35 +0800

deepin-screen-recorder (6.0.6) unstable; urgency=medium

  * feat: Update screenshot dropshadow effect(Task: 33231)
  * fix: 贴图不能移动出屏幕(Bug: 249185)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 15:51:34 +0800

deepin-screen-recorder (6.0.5) unstable; urgency=medium

  * Update tag to 6.0.5.

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Tue, 23 Apr 2024 13:30:03 +0800

deepin-screen-recorder (6.0.4) unstable; urgency=medium

  * Update tag to 6.0.4.

 -- zhanghongyuan <zhanghongyuan@uniontech.com>  Tue, 23 Apr 2024 13:19:20 +0800

deepin-screen-recorder (6.0.3) unstable; urgency=medium

  * Update tag to 6.0.3.

 -- lvwujun <lvwujun@uniontech.com>  Thur, 28 Mar 2024 16:38:34 +0800

deepin-screen-recorder (6.0.1) unstable; urgency=medium

  * Update tag.

 -- wangcong <wangcong@uniontech.com>  Mon, 13 Jun 2022 09:48:34 +0800

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Deepin Packages Builder <packages@deepin.com>
 Build-Depends: debhelper, pkg-config, qt5-qmake,
  libxcb-util0-dev, libqt5x11extras5-dev, qttools5-dev-tools,
- libdtkgui-dev,libdtkwidget-dev, libxtst-dev, 
+ libdtkgui-dev,libdtkwidget-dev, libxtst-dev, libprocps-dev | libproc2-dev,
  libdframeworkdbus-dev,libxcursor-dev,libxfixes-dev,libqt5multimediawidgets5,
- qtmultimedia5-dev,dde-dock-dev,qtbase5-dev-tools,
- libopencv-core-dev,libopencv-imgproc-dev,libopencv-calib3d-dev,libopencv-dev,
+ qtmultimedia5-dev, dde-tray-loader-dev, qtbase5-dev-tools,
+ libopencv-mobile-dev,
  gstreamer1.0-clutter-3.0,gstreamer1.0-x,
  libxss1,qtbase5-dev,
  libkf5windowsystem-dev,libkf5wayland-dev,libkf5i18n-dev,
@@ -21,9 +21,17 @@
 
 Package: deepin-screen-recorder
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libgstreamer1.0-0 (>= 1.0.0), ffmpeg
-Recommends: dde-session-ui,deepin-ocr, gstreamer1.0-plugins-bad, uos-reporter, deepin-event-log
+Depends: ${shlibs:Depends}, ${misc:Depends}, ffmpeg, libportaudio2
+Recommends: dde-session-ui,deepin-ocr,deepin-screen-recorder-plugin
 Conflicts: deepin-screenshot
 Replaces: deepin-screenshot
 Description: Simple recorder tools for UOS
- A simple screen shot and recorder tools for UOS
+ Package: deepin-screen-recorder
+
+Package: deepin-screen-recorder-plugin
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: deepin-screenshot
+Replaces: deepin-screenshot
+Description: Simple recorder tools for UOS
+ A simple screen shot and recorder tools for UOSA simple screen shot and recorder tools for UOS

## deepin-screen-recorder 6.0.9%2Bdeepin0%2Brb1

=== debian/changelog ===
deepin-screen-recorder (6.0.9+deepin0+rb1) unstable; urgency=medium

  * changelog 6.0.9.

 -- muyuankai <muyuankai@uniontech.com>  Mon, 02 Sep 2024 17:01:01 +0800

## deepin-screen-recorder 6.5.17

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
 #
 # SPDX-License-Identifier: GPL-3.0-or-later
 
@@ -163,7 +163,7 @@
 qt5_use_modules(${PROJECT_NAME} ${QtModule})
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(3rd_lib REQUIRED
-    dtkwidget dtkgui dframeworkdbus xcb xcb-util
+    dtkwidget dtkgui xcb xcb-util
     )
 target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS} )
 target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES} ${LINK_DIR} )

=== debian/changelog ===
deepin-screen-recorder (6.5.17) unstable; urgency=medium

  * Update version to 6.5.17
  * fix: adjust dock shortcut help icon size

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 08 May 2025 15:00:06 +0800

deepin-screen-recorder (6.5.16) unstable; urgency=medium

  * Update version to 6.5.16

 -- renbin <renbin@uniontech.com>  Tue, 29 Apr 2025 17:52:12 +0800

deepin-screen-recorder (6.5.15) unstable; urgency=medium

  * fix: Set quick panel margins to 0(Bug: 271223)

 -- renbin <renbin@uniontech.com>  Thu, 03 Apr 2025 10:16:15 +0800

deepin-screen-recorder (6.5.14) unstable; urgency=medium

  * fix: restructure event monitor cleanup(Bug: 306357)
  * fix: enable gif on loong64/sw64/mips(Bug: 308909)

 -- renbin <renbin@uniontech.com>  Wed, 02 Apr 2025 15:51:22 +0800

deepin-screen-recorder (6.5.13) unstable; urgency=medium

  * fix: adjust spacing in quick panel layout(Bug: 271223)
  * fix: remove unnecessary depends
  * fix: blur effect error(Bug: 309211)
  * refactor: remove dframeworkdbus dependency

 -- renbin <renbin@uniontech.com>  Thu, 27 Mar 2025 15:24:37 +0800

deepin-screen-recorder (6.5.12) unstable; urgency=medium

  * fix: disable v20 interface on Qt6.
  * fix: oom when convert large video to gif(Bug: 308389)
  * fix: not reset time after reboot(Bug: 308411)
  * fix: improve the speed of convrting to GIF(Bug: 295949)
  * fix: use system theme instead of app cached theme(Bug: 300679)
  * fix: paint full screen rectangle error.(Bug: 307017)

 -- renbin <renbin@uniontech.com>  Thu, 20 Mar 2025 20:17:52 +0800

deepin-screen-recorder (6.5.11) unstable; urgency=medium

  * fix: crash on scroll image(Bug: 306355)

 -- renbin <renbin@uniontech.com>  Thu, 06 Mar 2025 20:22:56 +0800

deepin-screen-recorder (6.5.10) unstable; urgency=medium

  * fix: not hidden record tray icon when recoding(Bug: 298541)
  * fix: tray icon is blurred when the scale factor exceeds 1(Bug: 298677)
  * fix: can not save pin screenshots settings(Bug: 298631)
  * fix: can not start record via tray icon
  * chore: support parallel build
  * fix: pin-screenshots missing rounded corner and focus(Bug: 305423)

 -- renbin <renbin@uniontech.com>  Thu, 27 Feb 2025 19:17:50 +0800

deepin-screen-recorder (6.5.9) unstable; urgency=medium

  * chore: New version 6.5.9.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 20 Feb 2025 20:01:38 +0800

deepin-screen-recorder (6.5.8) unstable; urgency=medium

  [ Tian ShiLin ]
  * fix: esc exit exception under treeland 

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 07 Feb 2025 14:44:36 +0800

deepin-screen-recorder (6.5.7) unstable; urgency=medium

  * fix: adjust border size parameters for narrow images
  * fix: use dci icons replace svg icons(Bug: 298681)
  * fix: unnecessary scaling adjustments(Bug: 298677)
  * fix: delete error log

 -- renbin <renbin@uniontech.com>  Fri, 10 Jan 2025 18:02:07 +0800

deepin-screen-recorder (6.5.6) unstable; urgency=medium

  * fix: Fix save path settings in screenshot toolbar(Bug: 298655)
  * fix: Use QProcess as workaround for scale factor(Bug: 281713)

 -- renbin <renbin@uniontech.com>  Thu, 09 Jan 2025 14:03:32 +0800

deepin-screen-recorder (6.5.5) unstable; urgency=medium

  * fix: update DBus interface for dock position changes(Bug: 297785)
  * fix: adjust toolbar position to avoid content overlap(Bug: 296639)

 -- renbin <renbin@uniontech.com>  Thu, 02 Jan 2025 20:07:09 +0800

deepin-screen-recorder (6.5.4) unstable; urgency=medium

  * fix: ocr disappears in treeland(Bug: 283631)
  * fix: Unified modification of predefined macros
  * fix: Translation file not found

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 11:33:08 +0800

deepin-screen-recorder (6.5.3) UNRELEASED; urgency=medium

  * feat: Merge branch 'develop/qt6.8' into develop/snipe

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 20 Dec 2024 11:23:01 +0800

deepin-screen-recorder (6.5.2) unstable; urgency=medium

  * fix: translation error (#582)
  * fix: Addressing translation issues (#584)
  * fix: Fixed the issue that screen recording fails under ARM (#569) (#586)
  * fix: dock plugin not loaded (#587)(Bug: 289717)

 -- renbin <renbin@uniontech.com>  Sat, 14 Dec 2024 16:23:59 +0800

deepin-screen-recorder (6.5.1.3) unstable; urgency=medium

  * changelog 6.5.1.3.

 -- tianshilin <tianshilin@uniontech.com>  Sat, 07 Dec 2024 22:55:01 +0800

deepin-screen-recorder (6.5.1.2) unstable; urgency=medium

  * changelog 6.5.1.2.

 -- tianshilin <tianshilin@uniontech.com>  Sat, 07 Dec 2024 10:11:01 +0800

deepin-screen-recorder (6.5.1) unstable; urgency=medium

  * fix: adapt new quick pannel plugin interface(Bug: 266839)
  * fix: Fixed the problem that v25 screenshot recording arm cannot record the screen(Bug: 283491)

 -- renbin <renbin@uniontech.com>  Fri, 22 Nov 2024 17:01:16 +0800

deepin-screen-recorder (6.5.0) unstable; urgency=medium

  * feat: [translation]add transifex config(Task: 361363)
  * fix: the config button status(Bug: 270437)
  * fix: the mouse click control lose in workspace(Bug: 268293)
  * fix: Optimize command line acquisition parameters(Task: 362613)
  * fix: the pinscreenshot tips(Bug: 275657)
  * fix: the pinscreenshot save format error(Bug: 276833)
  * fix: the offset problem when dual-screen non-alignment(Bug: 275805)
  * fix: the dual screen expandsion position when scaled(Bug: 273083)
  * refactor: merge code and fix bugs
  * fix: dde-shell not show screen shot icon.
  * fix: camera not display image
  * fix: save to clipboard slow
  * fix: audio record pts error on wayland

 -- renbin <renbin@uniontech.com>  Fri, 18 Oct 2024 14:29:23 +0800

deepin-screen-recorder (5.12.20) unstable; urgency=medium

  * fix: The icon scales and deforms after adjusting the
         display scaling ratio(Bug: 243881)
  * feat: Add "Recrod" tray icon(Influence: dde-dock-plugin)
  * feat: The "Screenshot" quick panel removes response
         recording(Influence: dde-dock-pluin)
  * fix: Record tray icon no 'Undock' menu(Bug: 250811)


## deepin-screen-recorder 6.5.26

=== debian/changelog ===
deepin-screen-recorder (6.5.26) unstable; urgency=medium

  * fix: Adjust formatting in screen capture documentation

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 24 Jun 2025 17:18:11 +0800

deepin-screen-recorder (6.5.25) unstable; urgency=medium

  * Update version to 6.5.25 

 -- Tian ShiLin <tianshilin@uniontech.com>  Mon, 23 Jun 2025 15:02:16 +0800

deepin-screen-recorder (6.5.24) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 14:27:09 +0800

deepin-screen-recorder (6.5.23) unstable; urgency=medium

  * fix: Fix screen recording button not disappear when recording
  * Update version to 6.5.23

 -- wangrong <wangrong@uniontech.com>  Tue, 17 Jun 2025 19:27:29 +0800

deepin-screen-recorder (6.5.22) unstable; urgency=medium

  * chore: Enhance compiler flags for improved debugging and security
  * Update version to 6.5.22

 -- wangrong <wangrong@uniontech.com>  Fri, 13 Jun 2025 15:53:59 +0800

deepin-screen-recorder (6.5.21) unstable; urgency=medium

  * chore: Update .gitignore and enhance compiler flags
  * Update version to 6.5.21

 -- wangrong <wangrong@uniontech.com>  Fri, 13 Jun 2025 14:16:52 +0800

deepin-screen-recorder (6.5.20) unstable; urgency=medium

  * fix: improve file manager command handling
  * fix: Fix the plugins can not be loaded issue
  * feat: Adapt to V23 dde dbus interface
  * Update version to 6.5.20

 -- wangrong <wangrong@uniontech.com>  Fri, 13 Jun 2025 10:04:47 +0800

deepin-screen-recorder (6.5.19) unstable; urgency=medium

  * add log.
  * Resolve screenshot background display issues in 1080p+4K dual-screen
    setup.
  * update version to 6.5.19

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 05 Jun 2025 15:15:45 +0800

deepin-screen-recorder (6.5.18) unstable; urgency=medium

  * Fix high dpi display issue.
  * Update version to 6.5.18.

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 15 May 2025 13:02:51 +0800

## deepin-screen-recorder 6.5.30

=== src/dde-dock-plugins/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 cmake_minimum_required( VERSION 3.1.0 )
 set (PROJECT_NAME dde-dock-plugins)
 project( ${PROJECT_NAME} )

=== debian/changelog ===
deepin-screen-recorder (6.5.30) unstable; urgency=medium

  * fix: Correct fullscreen behavior in screenshot functionality

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 16 Jul 2025 14:44:13 +0800

deepin-screen-recorder (6.5.29) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 09 Jul 2025 17:19:39 +0800

deepin-screen-recorder (6.5.28) unstable; urgency=medium

  * fix: Enhance screenshot functionality for multi-screen setups

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 04 Jul 2025 11:41:20 +0800

deepin-screen-recorder (6.5.27) unstable; urgency=medium

  * chore: update translation

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 01 Jul 2025 19:23:43 +0800

=== debian/control ===
Source: deepin-screen-recorder
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper,
 pkg-config,
# qt
 qt6-base-dev,
 qt6-base-dev-tools,
 qt6-base-private-dev,
 qt6-l10n-tools,
 qt6-svg-dev,
 qt6-tools-dev-tools,
 qt6-tools-dev,
 libqt6multimediawidgets6,
 qt6-multimedia-dev,
 qt6-wayland-dev,
 qt6-wayland-private-dev,
 libqt6waylandclient6,
 libqt6opengl6,
 libqt6openglwidgets6,
# dde
 libdtk6gui-dev,
 libdtk6widget-dev,
 dde-tray-loader-dev | dde-dock-dev,
 libffmpegthumbnailer-dev,
 deepin-desktop-base,
# opencv
 libopencv-mobile-dev,
# gstreamer
 gstreamer1.0-clutter-3.0,
 gstreamer1.0-x,
 libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 gstreamer1.0-plugins-good,
# kwayland
# libkf5windowsystem-dev,
# libkf5wayland-dev,
# libkf5i18n-dev,
# libkf5config-dev,
# ffmpeg
 libavcodec-dev,
 libavdevice-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libswscale-dev,
 libxcb-util0-dev,
 libxtst-dev,
 libxcursor-dev,
 libxfixes-dev,
 libxss1,
 libgbm-dev,
 libepoxy-dev,
 libxrandr-dev,
 libxinerama-dev,
 libepoxy-dev,
 libusb-1.0-0-dev,
 libudev-dev,
 libprocps-dev | libproc2-dev,
 portaudio19-dev,
 libv4l-dev
Standards-Version: 3.9.8
Homepage: https://github.com/linuxdeepin/deepin-screen-recorder

Package: deepin-screen-recorder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 libgstreamer1.0-0 (>= 1.0.0), 
 ffmpeg, 
 libportaudio2
Recommends: dde-session-ui,
 deepin-ocr,
 gstreamer1.0-plugins-bad,
 uos-reporter,
 deepin-event-log
Conflicts: deepin-screenshot
Replaces: deepin-screenshot,
 deepin-screen-recorder-plugin
Description: Simple recorder tools for UOS
 Package: deepin-screen-recorder

## deepin-screen-recorder 6.6.3

=== debian/changelog ===
deepin-screen-recorder (6.6.3) unstable; urgency=medium

  * chore: Update version to 6.6.2 (#716)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 13:53:51 +0800

deepin-screen-recorder (6.6.2) unstable; urgency=medium

  * fix: Update translations for various languages in deepin-screen-recorder

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 10:45:26 +0800

deepin-screen-recorder (6.6.1) unstable; urgency=medium

  * fix: Update action text for save path in SubToolWidget

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 08 Aug 2025 10:42:33 +0800

deepin-screen-recorder (6.6.0) unstable; urgency=medium

  * fix: Enhance toolbar visibility management in MainWindow

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 20:50:24 +0800

deepin-screen-recorder (6.5.33) unstable; urgency=medium

  * chore: Add new Lao translation file for deepin-screen-recorder

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 15:10:11 +0800

deepin-screen-recorder (6.5.32) unstable; urgency=medium

  * fix: Correct sidebar position calculation in MainWindow

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 05 Aug 2025 20:25:28 +0800

deepin-screen-recorder (6.5.31) unstable; urgency=medium

  * fix: Update save path handling and tooltip logic in screenshot tool

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 04 Aug 2025 18:14:33 +0800

## deepin-screen-recorder 6.6.9

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,7 @@
     utils/shapesutils.h
     utils/dbusutils.h
     utils/desktopinfo.h
+    utils/log.h
     RecorderRegionShow.h
     main_window.h
     record_process.h
@@ -88,6 +89,9 @@
     )
 
 set ( deepin-screen-recorder_SRCS
+    utils/log.cpp
+    utils/calculaterect.cpp
+    utils/shapesutils.cpp
     main.cpp
     main_window.cpp
     record_process.cpp
@@ -104,9 +108,7 @@
     show_buttons.cpp
     utils/audioutils.cpp
     menucontroller/menucontroller.cpp
-    utils/shapesutils.cpp
     utils/tempfile.cpp
-    utils/calculaterect.cpp
     utils/shortcut.cpp
     utils/configsettings.cpp
     utils/baseutils.cpp

=== src/dde-dock-plugins/recordtime/CMakeLists.txt ===
--- 
+++ 
@@ -14,16 +14,13 @@
 find_package(Qt5Svg REQUIRED)
 find_package(Qt5DBus REQUIRED)
 find_package(DtkWidget REQUIRED)
-pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 
-pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 pkg_check_modules(QGSettings REQUIRED gsettings-qt)
 
 add_definitions("${QT_DEFINITIONS} -DQT_PLUGIN")
 add_library(${PLUGIN_NAME} SHARED ${SRCS} res.qrc)
 target_include_directories(${PLUGIN_NAME} PUBLIC
     ${DtkWidget_INCLUDE_DIRS}
-    ${DFrameworkDBus_INCLUDE_DIRS}
     ${QGSettings_INCLUDE_DIRS}
     )
 target_link_libraries(${PLUGIN_NAME} PRIVATE
@@ -31,7 +28,6 @@
     ${DtkWidget_LIBRARIES}
     ${Qt5Widgets_LIBRARIES}
     ${Qt5Svg_LIBRARIES}
-    ${DFrameworkDBus_LIBRARIES}
     ${QGSettings_LIBRARIES}
     )

=== src/dde-dock-plugins/shotstartrecord/CMakeLists.txt ===
--- 
+++ 
@@ -14,16 +14,12 @@
 find_package(Qt5Svg REQUIRED)
 find_package(Qt5DBus REQUIRED)
 find_package(DtkWidget REQUIRED)
-pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
-
-pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 pkg_check_modules(QGSettings REQUIRED gsettings-qt)
 
 add_definitions("${QT_DEFINITIONS} -DQT_PLUGIN")
 add_library(${PLUGIN_NAME} SHARED ${SRCS} res.qrc)
 target_include_directories(${PLUGIN_NAME} PUBLIC
     ${DtkWidget_INCLUDE_DIRS}
-    ${DFrameworkDBus_INCLUDE_DIRS}
     ${QGSettings_INCLUDE_DIRS}
     )
 target_link_libraries(${PLUGIN_NAME} PRIVATE
@@ -31,7 +27,6 @@
     ${DtkWidget_LIBRARIES}
     ${Qt5Widgets_LIBRARIES}
     ${Qt5Svg_LIBRARIES}
-    ${DFrameworkDBus_LIBRARIES}
     ${QGSettings_LIBRARIES}
     )

=== debian/changelog ===
deepin-screen-recorder (6.6.9) unstable; urgency=medium

  * chore: Update deepin-screen-recorder to version 6.6.8 with improved button functionality

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Sat, 11 Oct 2025 12:35:20 +0800

deepin-screen-recorder (6.6.8) unstable; urgency=medium

  * feat: Improve SaveButton and ToolButton functionality and visual feedback

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 10 Oct 2025 11:33:00 +0800

deepin-screen-recorder (6.6.7) unstable; urgency=medium

  * fix: Integrate recording state management in Screenshot and MainWindow

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 18 Sep 2025 19:25:04 +0800

deepin-screen-recorder (6.6.6) unstable; urgency=medium

  * fix: Enhance keyboard interaction for shape adjustments in ShapesWidget

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 04 Sep 2025 17:04:03 +0800

deepin-screen-recorder (6.6.5) unstable; urgency=medium

  * fix: Update screenshot handling logic in MainWindow for OCR mode

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 28 Aug 2025 19:34:29 +0800

deepin-screen-recorder (6.6.4) unstable; urgency=medium

  * fix: Simplify SVG files and update translations for improved clarity

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 21 Aug 2025 21:31:46 +0800

=== debian/rules ===
#!/usr/bin/make -f

# 设置 Qt6 环境
export QT_SELECT=qt6
# 使用系统 PATH 中的 qmake6
export QMAKE=qmake6

include /usr/share/dpkg/default.mk

# 指定使用 qmake 构建系统
export DH_OPTIONS := --buildsystem=qmake

%:
	dh $@ --parallel --buildsystem=qmake

override_dh_auto_configure:
	$(QMAKE) \
		VERSION=$(VERSION) \
		PREFIX=/usr \
		LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM) \
		DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"

## deepin-screen-recorder 6.6.13

=== debian/changelog ===
deepin-screen-recorder (6.6.13) unstable; urgency=medium

  * fix: Optimize audio initialization timing and DBus interface timeout

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 20 Nov 2025 19:49:36 +0800

deepin-screen-recorder (6.6.12) unstable; urgency=medium

  * fix: Add BypassWindowManagerHint to toolbar window flags

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 12 Nov 2025 13:30:47 +0800

deepin-screen-recorder (6.6.11) unstable; urgency=medium

  * feat: Integrate AI Assistant functionality and enhance UI components

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 30 Oct 2025 16:26:00 +0800

deepin-screen-recorder (6.6.10) unstable; urgency=medium

  * fix: Remove colons from Format and FPS menu labels

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 16 Oct 2025 20:13:57 +0800
